@import url('https://fonts.cdnfonts.com/css/gilroy');

:root {
    --color-background: #141414;
    --color-text-white: #FFFFFF;
    --color-placeholder: #C4C4C4;
    --color-light-black: #29384D;
    --color-background-input-field: #242424;
    --color-border-1: #383838;
    --color-actions: #38E078;
    --color-border: #E5E8EB;
    --color-span: #535EE0;
}

body {
    margin: 0;
    font-family: "Open Sans", sans-serif;
    box-sizing: border-box;
    color: var(--color-text-white);
}

.our_contactus {
    margin: 25px;
    font-size: 46px;
    color: #223645;
    text-align: center;
    font-family: "Open Sans", sans-serif;
}

.contact-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
}

.contact-container input:focus {
    border: 2px solid var(--color-span);
}

input {
    height: 40px;
    border-radius: 4px;
    border: 0.5px solid var(--color-border-1);
    outline: none;
    width: 300px;
    padding: 0 8px 0 16px;
    color: black;
    font-family: "Open Sans", sans-serif;
    font-size: 14px;
}

textarea {
    height: 56px;
    border-radius: 12px;
    border: 1px solid var(--color-border-1);
    outline: none;
    width: 456px;
    padding: 0 8px 0 16px;
    background-color: var(--color-background-input-field);
    color: var(--color-text-white);
}

.input-name {
    display: flex;
    gap: 20px;
}

.input-name input {
    width: 140px;
}

.btn-submit {
    height: 36px;
    background-color: var(--color-actions);
    width: 300px;
    border-radius: 12px;
    border: 0px solid var(--color-border-1);
    outline: none;
    padding: 0 8px 0 16px;
}

.btn-submit:hover {
    border: 0.6px solid var(--color-text-white);
    cursor: pointer;
}

.action-btn button {
    color: #FFFFFF;
    font-family: "Open Sans", sans-serif;
    font-size: large;
    font-weight: bold;

}

.social-contact {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.social {
    width: 432px;
    height: 64px;
    border: 1px solid var(--color-border-1);
    border-radius: 12px;
    padding: 0 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.social-action {
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--color-actions);
    cursor: pointer;
}


/* dropdown css */
.dropdown {
    position: relative;
    display: none;
}

::placeholder,
.handle,
.or-text {
    color: var(--color-placeholder);
}

/* CSS for Design of contact us */

.design-container {
    margin-top: 10px;
    width: 100%;
    height: 70vh;
}

.image-container {
    width: 70%;
    height: 70vh;
    position: relative;
    margin: auto;
    box-shadow: 10px 10px 14px 0px gray,
    10px 14px 20px 0px gray;
}

.image-container img {
    width: 100%;
    height: 100%;
}

.content-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
}

.content-container .address-container {
    width: 50%;
    height: 100%;
}

.form-container {
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* css for address container */

.icon {
    display: flex;
    align-items: center;
    margin-top: 15px;
}

.icon img {
    width: 20px;
    height: 20px;
    color: red;
    margin-top: 4px;
}

.icon .txt {
    color: white;
    margin-left: 10px;
    font-family: "Open Sans", sans-serif;
}

.icon h3 {
    font-family: "Open Sans", sans-serif;
    font-weight: 10px;
}

.main-address-container p {
    margin-left: 30px;
}


/* css for contact form container */

.main-form-container {
    width: auto;
    height: auto;
    background-color: white;
    border-radius: 10px;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.map-container {
    display: flex;
    flex-direction: row; /* Make children layout horizontally */
    justify-content: center;
    align-items: center;
    height: 70vh;
    margin: 20px;
 }

.map-container .text-content,
.map-container .map-content {
    width: 50%; /* Each takes up 50% of the width */
    height: 100%;
    padding: 0 20px; /* Optional: Add padding to the sides */
}

.map-container .text-content {
    display: flex;
    flex-direction: column;
}

.map-container .text-content {
    color: black;
    padding-left: 280px;
    padding-top: 60px;
}

.text-content h1 {
    color: var(--color-span)
}
.text-content h2 {
    padding-top: 30px;
}
.text-content  {
    font-size: 18px;
    font-family: "Open Sans", sans-serif;
}

.text-content p {
    padding-top: 30px;
    color: #686868;
}

.text-content .div-contact-us {
    display: flex;
    flex-direction: row;
    height: auto;
    width: auto;
    padding-top: 10px;
}

.text-content .div-social-icon {
    display: flex;
    flex-direction: row;
    height: auto;
    width: 225px;
    margin-top: 15px;
    border-radius: 5px;
    background-color: #383838;
}

.div-contact-us img {
    width: 30px;
    height: 30px;
}
.div-contact-us h3 {
    padding: 0px;
    padding-top: 2px;
    padding-left: 10px;
    justify-content: center;
    align-items: center;
    color: var(--color-span);
}
.div-contact-us {
    cursor: pointer;
}
.text-mob {
    display: none;
}


.div-social-icon img {
    width: 30px;
    height: 30px;
    margin: 13px;
    
}


.map-container .map-content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.map-container iframe {
    width: 100%; 
    height: 100%;
}

.map-content .map-card {

    width: 500px;
    height: 350px;
    box-shadow: 1px 1px 5px 0px var(--color-light-black);
}


@media screen and (max-width: 767px) {

    .btn-submit {
        background-color: var(--color-actions);
        width: 250px;
    }

    input {
        width: 250px;
        padding: 0 0px 0 16px;
    }

    .input-name {
        display: flex;
        gap: 20px;
    }

    .input-name input {
        width: 115px;
    }


    /* CSS for Design of contact us */

    .design-container {
        margin-top: 10px;
        width: auto;
        height: 110vh;
    }
    
    .image-container {
        width: 100%;
        height: 110vh;
        margin: auto;
     }

    .content-container {    
        flex-direction: column; 
        align-items: center;
    }

    .content-container .address-container {
        
        display: flex;
        justify-content: center;
        align-items: center;
        width: auto;
        height: auto;
        margin-bottom: 20px;
     }
    
    .form-container {
        width: 100%;
        height: auto;
        margin: 10px;
        margin-top: 20px;
    }
    

}





/* 
.dropdown_input {
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
    cursor: pointer;

}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown_input:focus+.dropdown-content {
    display: block;
}
 */
